import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

// House
const gHouse = svg
  .append('g')
  .attr('transform', 'translate(100, 200)');

gHouse
  .append('rect')
  .attr('x', 50)
  .attr('y', 100)
  .attr('width', 100)
  .attr('height', 100)
  .attr('fill', 'brown');

gHouse
  .append('polygon')
  .attr('points', '40,100 160,100 100,50')
  .attr('fill', 'red');

// Mountains
const gMountains = svg
  .append('g')
  .attr('transform', 'translate(300, 200)');

gMountains
  .append('path')
  .attr('d', 'M 0 100 L 50 50 L 100 100 Z')
  .attr('fill', 'gray');

gMountains
  .append('path')
  .attr('d', 'M 50 100 L 100 50 L 150 100 Z')
  .attr('fill', 'gray');

// Bike
const gBike = svg
  .append('g')
  .attr('transform', 'translate(500, 200)');

gBike
  .append('circle')
  .attr('cx', 50)
  .attr('cy', 80)
  .attr('r', 30)
  .attr('fill', 'blue');

gBike
  .append('circle')
  .attr('cx', 150)
  .attr('cy', 80)
  .attr('r', 30)
  .attr('fill', 'blue');

gBike
  .append('rect')
  .attr('x', 40)
  .attr('y', 60)
  .attr('width', 120)
  .attr('height', 20)
  .attr('fill', 'blue');

gBike
  .append('line')
  .attr('x1', 50)
  .attr('y1', 80)
  .attr('x2', 80)
  .attr('y2', 40)
  .attr('stroke', 'black')
  .attr('stroke-width', 2);

// Television
const gTV = svg
  .append('g')
  .attr('transform', 'translate(700, 200)');

gTV
  .append('rect')
  .attr('x', 50)
  .attr('y', 50)
  .attr('width', 200)
  .attr('height', 150)
  .attr('fill', 'gray');

gTV
  .append('rect')
  .attr('x', 70)
  .attr('y', 70)
  .attr('width', 160)
  .attr('height', 100)
  .attr('fill', 'black');

gTV
  .append('circle')
  .attr('cx', 120)
  .attr('cy', 200)
  .attr('r', 10)
  .attr('fill', 'red');
